
.SUBCKT IRF420_ML1_Stress 10 20 30

YSTRESS_DETECTOR1 STRESS_DETECTOR(IDEAL) GENERIC: POWER_AVERAGE_MAX="40.0" CURRENT_MAX="10.0" PORT: 10 100 30
XMOSFET 100 20 30 IRF420_ML1

* IRF420_ML1
* N-CHANNEL POWER MOSFET MODEL
* USAGE: XNAME D G S IRF420_ML1
.SUBCKT IRF420_ML1 10 20 30
MOS 10 1 30 30 MOSMOD W=100U L=100U
CGS 1 30 3.404E-10
CGD 1 10 9.6E-12
RG 20 1 24.21
RL 10 30 2E+06
DSVB 30 10 DMOD
.MODEL MOSMOD NMOS (VTO=3.728 KP=1.646 RD=2.403 
+ CBD=2.264E-10 IS=1F PB=1)
.MODEL DMOD D(IS=10P RS=0.2073  N=1)    
.ENDS IRF420_ML1

.model STRESS_DETECTOR(IDEAL) macro lang=vhdlams LIB=EDULIB

.ENDS IRF420_ML1_Stress